Update a document Run in API Explorer
Ask AI
PUT
/api/v1/document/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/document/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Client Service Agreement",
"client_uuids": [
"e66329a8-f673-4d7a-a717-7f4cc9bf61b1",
"f2175da5-2020-448f-9f94-8f409da9b4d2",
"4b0bf25b-5086-4baa-b79d-10392ca50b0f"
],
"known_dependants": {
"client-1": "58628841-2fe2-4217-9d13-fdb93b59b4de"
}
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Client Service Agreement",
"client_uuids": [
"e66329a8-f673-4d7a-a717-7f4cc9bf61b1",
"f2175da5-2020-448f-9f94-8f409da9b4d2",
"4b0bf25b-5086-4baa-b79d-10392ca50b0f"
],
"known_dependants": {
"client-1": "58628841-2fe2-4217-9d13-fdb93b59b4de"
}
}
Response examples (200)
[
{
"uuid": "7fc5d7d8-de9f-41e6-bf60-b0a02b9030b6",
"created_at": "2026-10-28T10:39:28+00:00",
"updated_at": "2026-10-28T10:39:28+00:00",
"version": 3,
"name": "Welcome Template",
"status": "published",
"last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
"required_dependants": {
"client-1": "client"
},
"known_dependants": {
"client-1": "fc0b6354-11ba-4def-b579-d6ea52fa5d5b"
},
"public_docx_url": "https://api.plannrcrm.com/document/4b17dd9c-72ee-4f8d-ab98-0925e319fd9d/content/docx?plannr_account_uuid=ea465ee7-5945-425d-b159-0a837bdadffe",
"public_sfdt_url": "https://api.plannrcrm.com/document/1ba05d9c-e947-40bc-acb5-241ce1998fde/content/sfdt?plannr_account_uuid=f53461af-17a1-4321-b030-3e7e6c2c8902",
"public_pdf_url": "https://api.plannrcrm.com/document/10ad2b52-dc4d-4e89-b9f4-8da9f2e069af/content/pdf?plannr_account_uuid=a8f5519a-acbb-412f-a708-860f15b0c239",
"public_preview_url": "https://api.plannrcrm.com/document/076b1ce4-1abd-4c82-a828-ce54a7b94065/content/preview?plannr_account_uuid=65a22b94-fffe-498f-a27a-5c1a36327ad1"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}